package com.ruoyi.protocol.sansi.enums;

import lombok.Getter;

import java.util.stream.Stream;

@Getter
public enum SanSiFontStyle {
    SongTi("宋体", "s");
    private final String name;
    private final String value;

    SanSiFontStyle(String name, String value) {
        this.name = name;
        this.value = value;
    }

    public static String getStyleValueByName(String name) {
        return Stream.of(SanSiFontStyle.values())
                .filter(fontColor -> fontColor.getName().equals(name))
                .map(SanSiFontStyle::getValue)
                .findFirst()
                .orElse(null);
    }


}
