import request from '@/utils/request'

// 查询警报计划列表
export function listPlan(query) {
  return request({
    url: '/board/plan/list',
    method: 'get',
    params: query
  })
}

// 查询警报计划详细
export function getPlan(id) {
  return request({
    url: '/board/plan/' + id,
    method: 'get'
  })
}

// 新增警报计划
export function addPlan(data) {
  return request({
    url: '/board/plan',
    method: 'post',
    data: data
  })
}

// 修改警报计划
export function updatePlan(data) {
  return request({
    url: '/board/plan',
    method: 'put',
    data: data
  })
}

// 删除警报计划
export function delPlan(id) {
  return request({
    url: '/board/plan/' + id,
    method: 'delete'
  })
}
